<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$uz=check($uz);

$text = file(BASEDIR."local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}


echo '<img src="../images/img/partners.gif" alt=""> <b>Рейтинг авторитетных</b><br><br>';



//------------------------------ НОВАЯ ФУНКЦИЯ КЕШИРОВАНИЯ ------------------------------//
$filtime=filemtime(BASEDIR."local/datatmp/avtorlist.dat");
$filtime=$filtime+(3600*12); //12-часовое индексирование 
$ttime=time();

if($ttime>=$filtime){
	
$dir = opendir ("../local/profil"); 
while ($file = readdir ($dir)) {
if (ereg (".prof$", $file)) {
$a[]=$file;
}} 
closedir ($dir); 		
$total = count($a); 

for ($i = 0; $i < $total; $i++){
$tex = file(BASEDIR."local/profil/$a[$i]");
$data = explode(":||:",$tex[0]);

if($data[49]>0 && $data[0]!=""){
$dat_log[]=$data[0];
$dat_reg[]=$data[6];
$dat_avtoritet[]=$data[49];
$dat_plus[]=$data[50];
$dat_minus[]=$data[51];
}}


clear_files("../local/datatmp/avtorlist.dat");

arsort($dat_avtoritet);


foreach($dat_avtoritet as $k=>$v){ $gg++;

$dat_avtor='|'.$gg.'|'.$dat_log[$k].'|'.$v.'|'.$dat_plus[$k].'|'.$dat_minus[$k].'|'.$dat_reg[$k].'|';
	
$fp = fopen("../local/datatmp/avtorlist.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$dat_avtor\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod (BASEDIR."local/datatmp/avtorlist.dat", 0666); 	
}
}



//------------------------------ ВЫВОД ИЗ КЕША ------------------------------//	
$file = file(BASEDIR."local/datatmp/avtorlist.dat");
$total = count($file);
if ($start=="") {$start = 0;}
if ($total < $start + $config_avtorlist){ $end = $total; }
else {$end = $start + $config_avtorlist; }
for ($i = $start; $i < $end; $i++){
	
$data = explode("|",$file[$i]);

echo '<div class=b>'.(int)$data[1].'. <img src="../images/img/chel.gif" alt=""> ';

if($uz==$data[2]){
echo '<b><big><a href="../pages/anketa.php?uz='.$data[2].'&amp;'.SID.'"><font color="#FF0000">'.nickname($data[2]).'</font></a></big></b> ';
}else{	
echo '<b><a href="../pages/anketa.php?uz='.$data[2].'&amp;'.SID.'">'.nickname($data[2]).'</a></b> ';
}

echo ' (Авторитет: '.(int)$data[3].')</div>';
echo 'Плюсов: '.(int)$data[4].' | Минусов: '.(int)$data[5].'<br>Дата регистрации: '.date("j.m.Y",$data[6]).'<br>';
}

echo '<hr>'; 
if ($start != 0) {echo '<a href="avtorlist.php?start='.($start - $config_avtorlist).'&amp;'.SID.'">&lt;-Назад </a>';}else{echo'&lt;-Назад';}
echo ' | '; 
if ($total > $start + $config_avtorlist) {echo ' <a href="avtorlist.php?start='.($start + $config_avtorlist).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';} 

if($total>0){

$ba=ceil($total/$config_avtorlist);
$ba2=$ba*$config_avtorlist-$config_avtorlist;

echo '<br><hr>Страницы:';
$asd=$start-($config_avtorlist*4);
$asd2=$start+($config_avtorlist*5);

if($asd<$total && $asd>0){echo ' <a href="avtorlist.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_avtorlist);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo ' <a href="avtorlist.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_avtorlist;}
if($asd2<$total){echo ' ... <a href="avtorlist.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}

//-----------------------------------------------------------------//
if($uz==""){
echo '<hr><b>Поиск пользователя:</b><br>';
if($config_themes!="wml"){	
echo '<form action="avtorlist.php?start='.$start.'&amp;'.SID.'" method="post">';
echo'<input name="uz" value="'.$log.'" /><br>';
echo '<input type="submit" value="Искать" /></form><hr>';

}else{

echo'<input name="uz" value="'.$log.'"/><br>';
echo'<anchor>Искать';
echo'<go href="avtorlist.php?start='.$start.'&amp;'.SID.'" method="post">';
echo'<postfield name="uz" value="$(uz)"/>';
echo'</go></anchor><br>--------------------';
}
}else{
	
$file = file("../local/datatmp/avtorlist.dat");
$total = count($file);	
for ($i = 0; $i < $total; $i++){ 
	
$data = explode("|",$file[$i]);	
if (trim($uz)==$data[2]){
$stranica = floor($i / $config_avtorlist) * $config_avtorlist;
$pos = $i + 1; 
echo '<hr><br><font color="#00FF00">Позиция в рейтинге: </font><b><a href="avtorlist.php?start='.$stranica.'&amp;uz='.$uz.'&amp;'.SID.'">'.$pos.'</a></b><br>';	
}}
if($pos==""){ echo '<hr><br><b><font color="#FF0000">Пользователь с таким логином не найден!</font></b><br>';}

echo '<br><a href="avtorlist.php?start='.$start.'&amp;'.SID.'">Искать еще</a><br>';
}


echo '<br>Всего юзеров: <b>'.(int)$total.'</b><br><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once "../themes/$config_themes/foot.php";
?>

